/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include "xl.h"
#include "gbview.h"
#include "xlerror.h"
#include "win_flame.h"


XL_SEXP * xl_gv_flame_dec_seq();

void
init_gv_flame_dec_seq(XLISP_ENV * env)
{
	set_env(env, l_string(std_cm,"gv-flame-dec-seq"),
			get_func_prim(xl_gv_flame_dec_seq,FO_APPLICATIVE,0,1,1));
}

XL_SEXP *
xl_gv_flame_dec_seq(XLISP_ENV * e,XL_SEXP * s,
	XLISP_ENV * a,XL_SYM_FIELD * sf)
{
GBVIEW_FLAME * gf;
	gf = get_gf_from_sf(sf);
	return get_integer(--gf->seq,0);
}
